#!/bin/bash

# this script reads counter file build_counter.txt
# and creates file build_counter.h with BUILD_COUNTER

file='src/build_counter.txt'
header='src/build_counter.h'

# getting GIT sha-1 uniq ID
src_id=`git-log --pretty=oneline -1 | head -c 8`

line=`cat $file`

declare -i counter=line
let counter++
echo $counter
echo $counter > $file

echo -e \
"//DON'T EDIT -- This file is automatically generated by magic\n"\
"#ifndef BUILD_COUNTER_H_\n"\
"#define BUILD_COUNTER_H_\n"\
"#define BUILD_COUNTER \"$counter\"\n"\
"#define SOURCE_ID \"$src_id\"\n"\
"#endif"\
> $header
